*******************
* fvwribb.prg
********************
* Hauptfenster
************************************************
* Version 2.00.001   16.10.2014
*
************************************************
#include "dcdialog.ch"
#include "foxdbe.ch"
#include "cdxdbe.ch"
#include "dbfdbe.ch"
#include "dcmsg.ch"

#Pragma Library("xbtbase1.lib")

#define GRA_CLR_HIGHLIGHT     GraMakeRGBColor({255,204,153})
#define GRA_CLR_BG_BLAU       GraMakeRGBColor({165,195,243})
#define ICON_END           11106
****************************************************************************
**********************************************************************
PROCEDURE Dbesys()

IF !DbeLoad( "DBFDBE",.T.)
   DC_WinAlert( "Database-Engine DBFDBE not loaded" )
ENDIF
IF !DbeLoad( "CDXDBE",.T.)
   DC_WinAlert( "Database-Engine CDXDBE not loaded"  )
ENDIF
IF ! DbeLoad( "FOXDBE",.T.)
   DC_WinAlert("Database engine FOXDBE not loaded")
ENDIF
IF !DbeBuild( "FOXCDX", "FOXDBE", "CDXDBE" )
   DC_WinAlert("Database engine FOXCDX not created")
ELSE
   DbeSetDefault("FOXCDX")
   DbeInfo(COMPONENT_ORDER,FOXDBE_LOCKRETRY,20000000)
   DbeInfo(COMPONENT_ORDER,FOXDBE_LOCKDELAY,10)
   DbeInfo(COMPONENT_ORDER, FOXDBE_LOCKMODE, LOCKING_EXTENDED)
   DbeInfo(COMPONENT_ORDER, FOXDBE_LIFETIME, 0)
ENDIF
RETURN
*********************************
PROC appsys ; RETURN
****************************************************************************
PROCEDURE Main()
local GetOptions

SET COLLATION TO GERMAN
set date german
set century on
set epoch to 1990
set wrap off
set deleted on
set optimize off
set rushmore off
set smartfilter off
SetCancel(.F.)

DC_LangSet(DCLANG_GERMAN)
DC_PopDateStart(.T.)
DC_GetPopupCaption( {"10.Marlett", "u", 1 } )
DC_Gui(.T.)
DC_DotHotkey(0)
DC_BitmapTransparentColor( {191,191,191})

DCGET OPTIONS ;
   SAYWIDTH 190 ;
   SAYHEIGHT 28 ;
   SAYOPTIONS XBPSTATIC_TEXT_VCENTER ;
   FONT "11.Arial Fett" ;
   SAYFONT "11.Arial Fett" ;
   GETFONT "14.Courier New Fett" ;
   GETHEIGHT 10 ;
   ROWPIXELS 28 ;
   ROWSPACE 28 ;
   COLPIXELS 10 ;
   TABSTOP ;
   CHECKGET ;
   COLOR 32752549 ;
   PRESENTATION { { XBP_PP_DISABLED_FGCLR,GRA_CLR_BLACK}, { XBP_PP_DISABLED_BGCLR,32752549}}

dc_getoptdefault(GetOptions)

****************
Test()
****************
return
***********************************************************************************************************
procedure test()
LOCAL GetList:={}
*local aSizeDesktop:=AppDesktop():currentSize()
*, area:=dc_GetWorkArea()
local oTagbox, oGrp, oIcon
local aufnum:=1234567, lfsnum:=987654, ctitle:=space(10)
local icon_size:=48
local icon:=ICON_END
local nOffset:=icon_size+2
local cFont:="9.Arial"
local oBtnConf:=ButtonConfig()

@1.0, 1 DCSTATIC TYPE XBPSTATIC_TYPE_RECESSEDBOX SIZE 100,5.0 OBJECT oTagBox

@1.8, 1 DCSAY "Number1 :" SAYSIZE 9.44 PARENT oTagBox
@1.8,11 DCSAY {|| str(aufnum,7) } ;
        PRESENTATION { { XBP_PP_FGCLR, GRA_CLR_BLACK },{ XBP_PP_BGCLR, GRA_CLR_WHITE } } ;
        PARENT oTagBox ;
        SAYSIZE 7.00,0.8

@2.9, 1 DCSAY "Number 2:" SAYSIZE 9.44 PARENT oTagBox
@2.9,11 DCSAY {|| str(lfsnum,7) } ;
       COLOR GRA_CLR_BLACK, GRA_CLR_WHITE ;
       PARENT oTagBox ;
       SAYSIZE 7.00,0.8

@7.0, 1 DCGROUP oGrp CAPTION " Group " SIZE 50.50,5

@8.2, 2 DCSAY "Title:" SAYSIZE 4
@8.7,11 DCGET ctitle PICTURE "!XXXXXXXXX"

oIcon := XbpIcon():New():Create()
oIcon:Load(,icon,icon_size,icon_size)

@240,600 DCPUSHBUTTONXP SIZE 180,42.5 ;
                 CAPTION "Buttonexample (Exit)" OFFSET nOffset ;
                 BITMAP oIcon ALIGN XBPALIGN_VCENTER+XBPALIGN_LEFT OFFSET 5 ;
                 CONFIG oBtnConf ;
                 FONT cFont ;
                 ACTION {|| DC_ReadGuiEvent(DCGUI_EXIT_OK,GetList) } ;
                 RESIZE DCGUI_RESIZE_AUTORESIZE ;
                 PIXEL

DCREAD GUI ;
   TITLE "Test eXPress 265" ;
   FIT ;

RETURN
*************************************************
function ButtonConfig()
local oBtnConf1:= DC_XbpPushButtonXPConfig():new()

oBtnConf1:fgColor :=GRA_CLR_BLACK
oBtnConf1:bgColor :=GraMakeRGBColor({255,255,233})
oBtnConf1:fgColorClick := 16777216
oBtnConf1:bgColorClick :=  20158975
oBtnConf1:fgColorMouse := GRA_CLR_BLACK
oBtnConf1:bgColorMouse := GRA_CLR_HIGHLIGHT
oBtnConf1:gradientStep := 0
oBtnConf1:gradientStyle := 2
oBtnConf1:radius := 15
oBtnConf1:gradientReverse := .F.
oBtnConf1:outline := .T.
oBtnConf1:mouseOverFont := nil
oBtnConf1:mouseOverScale := 1.0
oBtnConf1:bitmapScale := 1.0
oBtnConf1:borderColor := GRA_CLR_WHITE
oBtnConf1:disabledFGColor := 26646166
oBtnConf1:disabledBGColor := 31251676
oBtnConf1:disabledBmp := .T.
oBtnConf1:enableSelect := .F.
oBtnConf1:mouseOverSound := nil
oBtnConf1:tileBitMap := nil
oBtnConf1:menuButtonWidth := 15
oBtnConf1:alignCaption := 5
oBtnConf1:alignBitmap := XBPALIGN_TOP+XBPALIGN_HCENTER
oBtnConf1:focusRectStyle := 0
oBtnConf1:focusRectColor := 1
oBtnConf1:isBitmapBackground := .t.
oBtnConf1:font := "9.Arial"
oBtnConf1:bgColor :=GRA_CLR_BG_BLAU
oBtnConf1:borderColor :=GRA_CLR_BG_BLAU
oBtnConf1:disabledBGColor :=GRA_CLR_BG_BLAU
return oBtnConf1